## xtables-addons 1.32

=== debian/changelog ===
xtables-addons (1.32-2) unstable; urgency=low

  * Switch to source format 3.0 (quilt)
  * Add support for DKMS, thanks to Matthew Harrell for the patch
    (Closes: #568635)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 14 Feb 2011 16:02:41 +0100

xtables-addons (1.32-1) unstable; urgency=low

  * Imported Upstream version 1.32 (Closes: #593521)
    - Build on recent kernels (Closes: #590140)
  * Add temporary hack to fix configure with --without-kbuild flag
  * Fix clean target

 -- Pierre Chifflier <pollux@debian.org>  Thu, 13 Jan 2011 14:21:34 +0100

xtables-addons (1.26-2) unstable; urgency=low

  * Do not build the TEE target (Closes: #592237)
  * Fix build not to use kernel headers when building source (Closes: #581779)
  * Bump standards version to 3.9.1

 -- Pierre Chifflier <pollux@debian.org>  Wed, 11 Aug 2010 16:41:05 +0200

xtables-addons (1.26-1) unstable; urgency=low

  * Imported Upstream version 1.26
  * Remove binary (compiled) objects from source tarball

 -- Pierre Chifflier <pollux@debian.org>  Sat, 08 May 2010 11:51:31 +0200

xtables-addons (1.23-1) unstable; urgency=low

  * Imported Upstream version 1.23
  * Bump standards version to 3.8.4
  * Set generated module section to kernel (Closes: #572981)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 13 Mar 2010 13:25:50 +0100

xtables-addons (1.22-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Fri, 29 Jan 2010 22:36:45 +0100

xtables-addons (1.21-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Fri, 18 Dec 2009 13:53:37 +0100

xtables-addons (1.19-3) unstable; urgency=low

  * Create shlib file
  * Add call to ldconfig in postinst (Closes: #553130)
  * Remove build dependency on quilt
  * Install manpage for ipset

 -- Pierre Chifflier <pollux@debian.org>  Thu, 29 Oct 2009 16:50:44 +0100

xtables-addons (1.19-2) unstable; urgency=medium

  * Remove modules.* files if existing (Closes: #552301)
  * Severity medium, grave bug

 -- Pierre Chifflier <pollux@debian.org>  Mon, 26 Oct 2009 23:11:16 +0100

xtables-addons (1.19-1) unstable; urgency=low

  * New upstream release
  * Provides a better description for the packages (Closes: #548409)
  * Remove 10-uncouple-userspace-from-kernel-build.patch, upstream use a
    different build system allowing to build the .so files only
  * Tweak build system to become more kbuild-friendly (Closes: #530799)
    The following command now works:
    make -C /lib/modules/$(uname -r)/build M=/usr/src/modules/xtables-addons

 -- Pierre Chifflier <pollux@debian.org>  Mon, 19 Oct 2009 23:04:42 +0200

xtables-addons (1.18-1) unstable; urgency=low

  * New Upstream Version
    This version has support for 2.6.31 (Closes: #545542)
  * Bump standards version (no changes)
  * Depend on quilt (Closes: #533653)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 10 Sep 2009 21:42:05 +0200

xtables-addons (1.17-1) unstable; urgency=low

  * New Upstream Version

 -- Pierre Chifflier <pollux@debian.org>  Thu, 18 Jun 2009 16:08:45 +0200

xtables-addons (1.16-1) unstable; urgency=low

  * New Upstream Version

 -- Pierre Chifflier <pollux@debian.org>  Sun, 07 Jun 2009 22:08:15 +0200

xtables-addons (1.15-3) unstable; urgency=medium

  * Make xtables-addons-common conflict with ipset (Closes: #528611)
  * Urgency medium, serious bug

 -- Pierre Chifflier <pollux@debian.org>  Thu, 14 May 2009 11:15:40 +0200

xtables-addons (1.15-2) unstable; urgency=low

  * Add pkg-config to xtables-addons-source dependencies (Closes: #528169)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 11 May 2009 17:37:49 +0200

xtables-addons (1.15-1) unstable; urgency=low

  * New Upstream Version (Closes: #527254):
    This release adds the RAWNAT extension and fixes
    subtle leftover bugs in condition, fuzzy, and ipp2p.
  * Add build-dep on quilt, and patches (Closes: #517698):
    - 10-uncouple-userspace-from-kernel-build.patch
  * Re-introduce xtables-addons-common
  * Thanks to John Wright for the original patches, merged with modifications

 -- Pierre Chifflier <pollux@debian.org>  Wed, 06 May 2009 23:08:35 +0200

xtables-addons (1.14-2) unstable; urgency=low

  * Add dependency on pkg-config for the source module (Closes: #525088)
  * Allow building against kernels different than the running one
    (Closes: #525089, #517699)
    Thanks to John Wright for the patch.

 -- Pierre Chifflier <pollux@debian.org>  Wed, 22 Apr 2009 09:17:35 +0200

xtables-addons (1.14-1) unstable; urgency=low

  * New Upstream Version
  * Bump standards version (no changes)
  * Set dependency on iptables-dev >= 1.4.3

 -- Pierre Chifflier <pollux@debian.org>  Thu, 02 Apr 2009 15:34:21 +0200

xtables-addons (1.12-1) unstable; urgency=low

  * New Upstream Version
  * Remove generated map files (Closes: #517699)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 09 Mar 2009 17:56:57 +0100

xtables-addons (1.10-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable
  * Packaging has been rewritten (Closes: #511591)
  * Add watch file
  * Add postinst file to generated module to call depmod (Closes: #513492)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 25 Feb 2009 12:16:04 +0100

xtables-addons (1.8-1) experimental; urgency=low

  * New upstream release:
    Some crashes with ipp2p have been fixed, and the TEE module
    gained IPv6 capability.

 -- Pierre Chifflier <pollux@debian.org>  Tue, 20 Jan 2009 09:43:51 +0100

xtables-addons (1.7-2) experimental; urgency=low

  * Remove generated modules.map files from binary module.

 -- Pierre Chifflier <pollux@debian.org>  Sat, 10 Jan 2009 17:42:43 +0100

xtables-addons (1.7-1) experimental; urgency=low

  * Re-write package:
    - remove xtables-addons-common package
    - put complete modules and libs sources in -source package
  * New upstream release:
    - update ipset version
    - fix build with the latest 2.6.28(-rc) kernel
  * Add missing dependency on iptables-dev (Closes: #504563)


