=== debian/control ===
Source: xtables-addons
Section: admin
Priority: extra
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 5),
    autotools-dev,
    bzip2,
    pkg-config,
    iptables-dev (>= 1.4.3),
    module-assistant
Standards-Version: 3.9.1
Homepage: http://xtables-addons.sourceforge.net/

Package: xtables-addons-source
Architecture: all
Depends: module-assistant,
    debhelper (>= 5),
    make,
    pkg-config,
    iptables-dev (>= 1.4.3),
    bzip2,
    ${misc:Depends}
Description: Extensions targets and matches for iptables [modules sources]
 Xtables-addons provides extra modules for iptables not present in the
 kernel, and is the successor of patch-o-matic.
 Extensions includes new targets like TEE, TARPIT, CHAOS, or modules like
 geoip, ipset, and account.
 .
 This package provides the source code for the xtables-addons kernel modules.
 The xtables-addons package is also required in order to make use of these
 modules. Kernel source or headers are required to compile these modules.

Package: xtables-addons-dkms
Architecture: all
Depends: make,
         dkms,
         linux-headers-generic | linux-headers,
         ${misc:Depends}
Recommends: xtables-addons-common
Description: Extensions targets and matches for iptables
 Xtables-addons provides extra modules for iptables not present in the
 kernel, and is the successor of patch-o-matic.
 Extensions includes new targets like TEE, TARPIT, CHAOS, or modules like
 geoip, ipset, and account.
 .
 The dkms package will automatically compile the driver for your current
 kernel version.

Package: xtables-addons-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xtables-addons-dkms
Provides: xtables-addons-common-${source:Upstream-Version}
Conflicts: ipset
Replaces: ipset
Description: Extensions targets and matches for iptables [tools, libs]
 Xtables-addons provides extra modules for iptables not present in the
 kernel, and is the successor of patch-o-matic.
 Extensions includes new targets like TEE, TARPIT, CHAOS, or modules like
 geoip, ipset, and account.
 .
 This package provides the userspace libraries for iptables to use extensions
 in the xtables-addons-modules package.
 .
 Note: this package is only useful with a corresponding xtables-addons-modules
 package, which you may produce with module-assistant:
 .
   module-assistant auto-install xtables-addons-source
