=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
     pkg-config,
     iptables-dev (>= 1.4.3),
     module-assistant
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://xtables-addons.sourceforge.net/
 
 Package: xtables-addons-source
