=== debian/watch ===
# Example watch control file for uscan
# Run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/#PACKAGE#/#PACKAGE#-(.*)\.tar\.gz
 http://sf.net/xtables-addons/xtables-addons-(.*)\.tar\.bz2
