=== debian/watch ===
--- 
+++ 
@@ -8,4 +8,4 @@
 
 # Find new files on sourceforge, for devscripts >= 2.9
 # http://sf.net/#PACKAGE#/#PACKAGE#-(.*)\.tar\.gz
- http://sf.net/xtables-addons/xtables-addons-(.*)\.tar\.bz2
+ http://sf.net/xtables-addons/xtables-addons-(.*)\.tar\.xz
