## xtables-addons 1.41

=== debian/changelog ===
xtables-addons (1.41-2ubuntu0.1) precise-proposed; urgency=low

  * Sync 1.41-2 from Debian/testing for Linux 3.2 support (LP: #916606)

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 25 Apr 2012 23:44:36 +0200

xtables-addons (1.41-2) unstable; urgency=low

  * standards to current 3.9.3
  * install library to triplet location
  * correct installation of all modules, including ACCOUNT
    (really Closes: #653022 "Upgrading 1.37 => 1.40 breaks accounting")

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 27 Feb 2012 02:12:13 +1100

xtables-addons (1.41-1) unstable; urgency=low

  * No longer provide ipset (ipset is separated into 'ipset' package)
  * New Upstream Release
    (Closes: #656510 "fails to compile with Linux 3.2")
    (Closes: #653022 "Upgrading 1.37 => 1.40 breaks accounting")
    (Closes: #626018 "Module pknock not working, bug in source")
  * debhelper and compat to version 9
  * added patch to fix FTBFS with automake 1.11.2

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 04 Feb 2012 14:46:01 +1100
