=== debian/control ===
--- 
+++ 
@@ -3,27 +3,27 @@
 Priority: extra
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
-Build-Depends: debhelper (>= 8), dh-autoreconf,
+Build-Depends: debhelper (>= 9), dh-autoreconf,
     dkms, bzip2, pkg-config, libmnl-dev,
     iptables-dev (>= 1.4.5)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://xtables-addons.sourceforge.net/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xtables-addons.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/xtables-addons.git
 
 Package: xtables-addons-common
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: xtables-addons-dkms
 Suggests: libtext-csv-xs-perl
 Provides: xtables-addons-common-${source:Upstream-Version}
-Conflicts: ipset
-Replaces: ipset
+Breaks: ipset (<< 6.11~)
 Description: Extensions targets and matches for iptables [tools, libs]
  Xtables-addons provides extra modules for iptables not present in the
  kernel, and is the successor of patch-o-matic.
  Extensions includes new targets like TEE, TARPIT, CHAOS, or modules like
- geoip, ipset, and account.
+ geoip and account.
  .
  This package provides the userspace libraries for iptables to use extensions
  in the xtables-addons-modules package.
@@ -44,7 +44,7 @@
  Xtables-addons provides extra modules for iptables not present in the
  kernel, and is the successor of patch-o-matic.
  Extensions includes new targets like TEE, TARPIT, CHAOS, or modules like
- geoip, ipset, and account.
+ geoip and account.
  .
  The dkms package will automatically compile the driver for your current
  kernel version.
@@ -62,7 +62,7 @@
  Xtables-addons provides extra modules for iptables not present in the
  kernel, and is the successor of patch-o-matic.
  Extensions includes new targets like TEE, TARPIT, CHAOS, or modules like
- geoip, ipset, and account.
+ geoip and account.
  .
  This package provides the source code for the xtables-addons kernel modules.
  The xtables-addons package is also required in order to make use of these
