=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf,
-    dkms, bzip2, pkg-config, libmnl-dev,
+    dkms, bzip2, pkg-config,
     iptables-dev (>= 1.4.5)
 Standards-Version: 3.9.3
 Homepage: http://xtables-addons.sourceforge.net/
