=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# see http://lists.debian.org/debian-devel-announce/2011/09/msg00001.html
-# Also it does hardening by default, see http://wiki.debian.org/Hardening
-DPKG_EXPORT_BUILDFLAGS = 1
--include /usr/share/dpkg/default.mk
 
 # Package version
 pver := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\([0-9.]*\).*,\1,p')
