## xtables-addons 1.47.1

=== debian/changelog ===
xtables-addons (1.47.1-1) unstable; urgency=low

  * Imported Upstream version 1.47.1
  * Add patch to fixh bashism in xt_geoip_dl script (Closes: #690613)
  * Rebuild with dependency on libxtables9 (Closes: #692347)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 10 Nov 2012 15:09:58 +0100

xtables-addons (1.46-1) unstable; urgency=low

  * New upstream release
  * Improved get-orig-source so it can function disregarding of current
    working directory.
  * Debian source compression to xz.
  * Copyright audit & update.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 19 Sep 2012 19:11:47 +1000

xtables-addons (1.42-2) unstable; urgency=low

  * fix 'clean' target for second kernel-headerless build
    (Closes: #671564 I:"Fails to build twice in a row").
  * sort kernel modules in DKMS config.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 06 May 2012 11:43:41 +1000
