=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
 # Package version
-pver := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\([0-9.]*\).*,\1,p')
+pver := $(shell dpkg-parsechangelog -l$(DPATH)/changelog | sed -ne 's,^Version: *\([0-9.]*\).*,\1,p')
 
 DCFG := debian/xtables-addons-dkms.dkms
 TMPSRC := debian/temp.src
@@ -15,13 +16,14 @@
 	dh $@ --with dkms --with autoreconf
 
 
+override_dh_clean:
+	dh_clean *.8 *.man .manpages.lst extensions/*/Makefile $(DCFG) $(TMPSRC) \
+          extensions/.*.oo.d extensions/ACCOUNT/.*.oo.d extensions/pknock/.*.oo.d
+
 override_dh_auto_configure:
-	[ -d /lib/modules/`uname -r`/build ]  &&  dh_auto_configure \
+	[ -d /lib/modules/`uname -r`/build ] \
+	&& dh_auto_configure \
 	|| dh_auto_configure -- --without-kbuild
-
-override_dh_auto_clean:
-	dh_auto_clean
-	dh_clean  *.8  *.man  .manpages.lst  extensions/*/Makefile  $(DCFG)  $(TMPSRC)
 
 override_dh_auto_build:
 	## prepare sources for DKMS and source packages
@@ -52,7 +54,7 @@
 	dh_auto_install
 
 
-DKMS_MODS=$(shell find . -name "*.ko" -print | sed 's|.*/\([^/]*\)\.ko|\1|')
+DKMS_MODS=$(shell find . -name "*.ko" -print | sort | sed 's|.*/\([^/]*\)\.ko|\1|')
 
 $(DCFG):
 	sed -e 's/__VERSION__/$(pver)/g' $(DCFG).in > $(DCFG)
@@ -71,4 +73,4 @@
 	LD_LIBRARY_PATH="debian/xtables-addons-common/usr/lib/xtables-addons:$(LD_LIBRARY_PATH)" dh_shlibdeps
 
 get-orig-source:
-	uscan --noconf --force-download --repack --rename --download-current-version --destdir=.
+	uscan --noconf --rename --check-dirname-level=0 --force-download --download-current-version --destdir=$(CURDIR) $(DPATH)
