=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: admin
 Priority: extra
 Maintainer: Pierre Chifflier <pollux@debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf,
     dkms, bzip2, pkg-config,
-    iptables-dev (>= 1.4.5)
-Standards-Version: 3.9.3
+    iptables-dev
+Standards-Version: 3.9.4
 Homepage: http://xtables-addons.sourceforge.net/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xtables-addons.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/xtables-addons.git
@@ -36,10 +36,10 @@
 Package: xtables-addons-dkms
 Architecture: all
 Depends: xtables-addons-common (>= ${source:Upstream-Version}),
-         dkms (>= 1.95),
+         dkms,
          make,
          ${misc:Depends}
-Recommends: linux-headers-generic | linux-headers
+Recommends: linux-headers
 Description: Extensions targets and matches for iptables
  Xtables-addons provides extra modules for iptables not present in the
  kernel, and is the successor of patch-o-matic.
@@ -55,7 +55,7 @@
     debhelper (>= 8),
     make,
     pkg-config,
-    iptables-dev (>= 1.4.3),
+    iptables-dev,
     bzip2
 Recommends: module-assistant
 Description: Extensions targets and matches for iptables [modules sources]
