=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
+PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
 # Package version
-pver := $(shell dpkg-parsechangelog -l$(DPATH)/changelog | sed -ne 's,^Version: *\([0-9.]*\).*,\1,p')
+pver := $(shell dpkg-parsechangelog -l$(PKD)/changelog | sed -ne 's,^Version: *\([0-9.]*\).*,\1,p')
 
 DCFG := debian/xtables-addons-dkms.dkms
 TMPSRC := debian/temp.src
@@ -17,7 +17,8 @@
 
 
 override_dh_clean:
-	dh_clean *.8 *.man .manpages.lst extensions/*/Makefile $(DCFG) $(TMPSRC) \
+	$(RM) -r $(TMPSRC)
+	dh_clean *.8 *.man .manpages.lst extensions/*/Makefile $(DCFG) config.log \
           extensions/.*.oo.d extensions/ACCOUNT/.*.oo.d extensions/pknock/.*.oo.d
 
 override_dh_auto_configure:
@@ -73,4 +74,4 @@
 	LD_LIBRARY_PATH="debian/xtables-addons-common/usr/lib/xtables-addons:$(LD_LIBRARY_PATH)" dh_shlibdeps
 
 get-orig-source:
-	uscan --noconf --rename --check-dirname-level=0 --force-download --download-current-version --destdir=$(CURDIR) $(DPATH)
+	uscan --noconf --rename --check-dirname-level=0 --force-download --download-current-version --destdir=$(CURDIR) $(PKD)
