## xtables-addons 2.5

=== debian/changelog ===
xtables-addons (2.5-1) unstable; urgency=low

  * New upstream version [April 2014].
  * Install `iptaccount` to "/usr/sbin" instead of "/sbin".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 23 Apr 2014 16:47:32 +1000

xtables-addons (2.4-1) unstable; urgency=low

  * New upstream version [January 2014].
  * Dropped no longer needed "skip-depmod.patch".
  * Added "unzip, wget" to Recommends to satisfy `xt_geoip_dl`
    (Closes: #714654).
  * Fixed FTBFS in m-a/xtables-addons-source (Closes: #730074).
  * Standards to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 10 Feb 2014 13:05:36 +1100
