=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf,
     dkms, bzip2, pkg-config,
     iptables-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://xtables-addons.sourceforge.net/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xtables-addons.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/xtables-addons.git
@@ -16,6 +16,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: xtables-addons-dkms
+# "unzip" and "wget" are used by `xt_geoip_dl`.
+           ,unzip, wget
 Suggests: libtext-csv-xs-perl
 Provides: xtables-addons-common-${source:Upstream-Version}
 Breaks: ipset (<< 6.11~)
