=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf,
     dkms, bzip2, pkg-config,
     iptables-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://xtables-addons.sourceforge.net/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xtables-addons.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/xtables-addons.git
