## xtables-addons 2.7

=== debian/changelog ===
xtables-addons (2.7-2ubuntu1) wily; urgency=medium

  * Add support for linux 4.2
    ubuntu-4.2-proc-fs.patch 

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 10 Aug 2015 09:28:46 -0600

xtables-addons (2.7-2) unstable; urgency=medium

  * DKMS: Disable "xt_ECHO" on Linux-3.x (Closes: #792154).
    Upstream don't build "xt_ECHO" on kernels v4+ since 2.7.
  * Predictable order of modules in DKMS configuration ("LC_ALL=C sort").

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 Jul 2015 16:38:16 +1000

xtables-addons (2.7-1) unstable; urgency=medium

  * New upstream version [July 2015].
    + compatible with kernels up to 4.1 (Closes: #792154).
  * xtables-addons-source/module-assistant: fixed FTBFS (Closes: #791702).
  * rules: "echo" replaced with "printf" (Closes: #785561).
  * rules: use last changelog date for timestamps in tar file and
    also sort files to get a reproducible order (Closes: #776879).
    Thanks, Reiner Herrmann.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 Jul 2015 03:24:26 +1000
