## xtables-addons 2.10

=== debian/changelog ===
xtables-addons (2.10-1build1) xenial; urgency=medium

  * No-change rebuild for iptables transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 08:08:23 +0100

xtables-addons (2.10-1) unstable; urgency=medium

  * New upstream release [November 2015].
    + support for Linux 4.4.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 Nov 2015 10:15:05 +1100

xtables-addons (2.9-1) unstable; urgency=medium

  * New upstream release [October 2015].
    + support for Linux 4.3.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 17 Oct 2015 18:38:23 +1100

xtables-addons (2.8-1) unstable; urgency=low

  * New upstream release [August 2015].
    + support for Linux 4.2. Thanks, Tim Gardner.
    + enable xt_ECHO.
  * Added "debian/gbp.conf".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 24 Aug 2015 07:43:20 +1000
