=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: xtables-addons
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf,
     dkms, bzip2, pkg-config,
     iptables-dev
 Standards-Version: 3.9.6
 Homepage: http://xtables-addons.sourceforge.net/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xtables-addons.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/xtables-addons.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/xtables-addons.git
 
 Package: xtables-addons-common
@@ -37,6 +36,7 @@
    module-assistant auto-install xtables-addons-source
 
 Package: xtables-addons-dkms
+Section: kernel
 Architecture: all
 Depends: xtables-addons-common (>= ${source:Upstream-Version}),
          dkms,
