=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
 # Package version
 pver := $(shell dpkg-parsechangelog -l$(PKD)/changelog | sed -ne 's,^Version: *\([0-9.]*\).*,\1,p')
+BUILD_DATE := $(shell dpkg-parsechangelog --show-field=Date)
 
 DCFG := debian/xtables-addons-dkms.dkms
 TMPSRC := debian/temp.src
@@ -45,7 +46,7 @@
 	mkdir -p $(SRC_MOD) \
 	&& mv $(TMPSRC) $(SRC_MOD)/xtables-addons \
 	&& cd debian/xtables-addons-source/usr/src \
-	&& tar cjf xtables-addons.tar.bz2 modules \
+	&& find modules -print0 | LC_ALL=C sort -z | tar cjf xtables-addons.tar.bz2 --mtime="$(BUILD_DATE)" --no-recursion --null -T - \
 	&& $(RM) -r modules/xtables-addons/debian
 	## prepare DKMS sources
 	mkdir -p $(SRC_DKMS) \
@@ -55,7 +56,7 @@
 	dh_auto_install
 
 
-DKMS_MODS=$(shell find . -name "*.ko" -print | sort | sed 's|.*/\([^/]*\)\.ko|\1|')
+DKMS_MODS=$(shell find . -name "*.ko" -print | LC_ALL=C sort | sed 's|.*/\([^/]*\)\.ko|\1|')
 
 $(DCFG):
 	sed -e 's/__VERSION__/$(pver)/g' $(DCFG).in > $(DCFG)
@@ -63,7 +64,7 @@
 	[ -n "${DKMS_MODS}" ] \
 	&& sed -i -e '/####/,$$d' $(DCFG) \
 	&& ( value=0; for module_name in $(DKMS_MODS); \
-	do echo "BUILT_MODULE_LOCATION[$$value]=\"\" \
+	do printf "BUILT_MODULE_LOCATION[$$value]=\"\" \
 			\nBUILT_MODULE_NAME[$$value]=\"$$module_name\" \
 			\nDEST_MODULE_LOCATION[$$value]=\"/updates\"\n"; \
 		value=$$((value+1)); \
