## xtables-addons 2.11

=== debian/changelog ===
xtables-addons (2.11-1) unstable; urgency=medium

  * New upstream release [May 2016].
  * Standards-Version: 3.9.8.
  * Vcs URLs to HTTPS.
  * Updated gbp.conf.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Jun 2016 00:49:16 +1000
