=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf,
     dkms, bzip2, pkg-config,
     iptables-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://xtables-addons.sourceforge.net/
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/xtables-addons.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/xtables-addons.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xtables-addons.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/xtables-addons.git
 
 Package: xtables-addons-common
 Architecture: any
